This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 988108 - [abrt] bind-9.9.3-3.P1.fc19: assertion_failed: Process /usr/sbin/named was killed by signal 6 (SIGABRT)
[abrt] bind-9.9.3-3.P1.fc19: assertion_failed: Process /usr/sbin/named was ki...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Hozza
Fedora Extras Quality Assurance
abrt_hash:c7ccb9cba47edf49372f5a77b34...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 14:29 EDT by Niki Guldbrand
Modified: 2016-06-21 15:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-20 02:42:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.08 KB, text/plain)
2013-07-24 14:29 EDT, Niki Guldbrand
no flags Details
File: cgroup (156 bytes, text/plain)
2013-07-24 14:29 EDT, Niki Guldbrand
no flags Details
File: core_backtrace (379 bytes, text/plain)
2013-07-24 14:29 EDT, Niki Guldbrand
no flags Details
File: dso_list (4.41 KB, text/plain)
2013-07-24 14:29 EDT, Niki Guldbrand
no flags Details
File: environ (171 bytes, text/plain)
2013-07-24 14:29 EDT, Niki Guldbrand
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-24 14:29 EDT, Niki Guldbrand
no flags Details
File: maps (15.65 KB, text/plain)
2013-07-24 14:30 EDT, Niki Guldbrand
no flags Details
File: open_fds (1.30 KB, text/plain)
2013-07-24 14:30 EDT, Niki Guldbrand
no flags Details
File: proc_pid_status (758 bytes, text/plain)
2013-07-24 14:30 EDT, Niki Guldbrand
no flags Details
File: var_log_messages (9.86 KB, text/plain)
2013-07-24 14:30 EDT, Niki Guldbrand
no flags Details

  None (edit)
Description Niki Guldbrand 2013-07-24 14:29:32 EDT
Description of problem:
Not sure what happened.
But I had just restarted and ethernet port, and shortly there after,
I couldn't lookup host names any more.

Version-Release number of selected component:
bind-9.9.3-3.P1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/sbin/named -u named
crash_function: assertion_failed
executable:     /usr/sbin/named
kernel:         3.9.9-301.fc19.i686.PAE
runlevel:       N 3
uid:            25

Truncated backtrace:
Thread no. 1 (9 frames)
 #3 assertion_failed at ./main.c:219
 #4 isc_assertion_failed at assertions.c:57
 #5 dns_resolver_createfetch2 at resolver.c:8193
 #6 dns_resolver_createfetch at resolver.c:8161
 #7 zone_refreshkeys at zone.c:8590
 #8 zone_maintenance at zone.c:8779
 #9 zone_timer at zone.c:11362
 #10 dispatch at task.c:1116
 #11 run at task.c:1286
Comment 1 Niki Guldbrand 2013-07-24 14:29:37 EDT
Created attachment 777898 [details]
File: backtrace
Comment 2 Niki Guldbrand 2013-07-24 14:29:43 EDT
Created attachment 777899 [details]
File: cgroup
Comment 3 Niki Guldbrand 2013-07-24 14:29:46 EDT
Created attachment 777900 [details]
File: core_backtrace
Comment 4 Niki Guldbrand 2013-07-24 14:29:50 EDT
Created attachment 777901 [details]
File: dso_list
Comment 5 Niki Guldbrand 2013-07-24 14:29:54 EDT
Created attachment 777902 [details]
File: environ
Comment 6 Niki Guldbrand 2013-07-24 14:29:57 EDT
Created attachment 777903 [details]
File: limits
Comment 7 Niki Guldbrand 2013-07-24 14:30:03 EDT
Created attachment 777904 [details]
File: maps
Comment 8 Niki Guldbrand 2013-07-24 14:30:06 EDT
Created attachment 777905 [details]
File: open_fds
Comment 9 Niki Guldbrand 2013-07-24 14:30:10 EDT
Created attachment 777906 [details]
File: proc_pid_status
Comment 10 Niki Guldbrand 2013-07-24 14:30:17 EDT
Created attachment 777907 [details]
File: var_log_messages
Comment 11 Niki Guldbrand 2013-07-24 15:04:05 EDT
The logs are from the first time it happened, and it too has a network interface changing, and after that an automatic reload:

Jul 13 15:03:34 ipa named[807]: listening on IPv4 interface ppp0, 10.235.176.232#53

Might be the reloads that is causing this, and they are issued by NetworkManager-dispatcher.
Named is running in an freeipa setup.
Comment 12 Tomáš Hozza 2014-03-24 02:35:41 EDT
Niki, can you please set the debug level to higher (calling #rndc trace 5) and
attach the named log after crash?


Peter, it looks as some LDAP related issue, do you think it might be caused
by the bind-dyndb-ldap plugin?
Comment 13 Petr Spacek 2014-03-24 07:13:21 EDT
(In reply to Tomas Hozza from comment #12)
> Peter, it looks as some LDAP related issue, do you think it might be caused
> by the bind-dyndb-ldap plugin?

I don't think that this is related to bind-dyndb-ldap. IMHO bind-dyndb-ldap can't load any zones because it is unable to establish connection to LDAP server.

My guess is that it crashed somewhere in BIND resolver without any relation to bind-dyndb-ldap.
Comment 14 Fedora End Of Life 2015-01-09 14:05:10 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.